<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:28 CEST 2019 -->
<title>FBXAException (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FBXAException (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jca/FBTpb.html" title="class in org.firebirdsql.jca"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jca/FirebirdLocalTransaction.html" title="interface in org.firebirdsql.jca"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jca/FBXAException.html" target="_top">Frames</a></li>
<li><a href="FBXAException.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.javax.transaction.xa.XAException">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.jca</div>
<h2 title="Class FBXAException" class="title">Class FBXAException</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">java.lang.Throwable</a></li>
<li>
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">java.lang.Exception</a></li>
<li>
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/XAException.html?is-external=true" title="class or interface in javax.transaction.xa">javax.transaction.xa.XAException</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.jca.FBXAException</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">FBXAException</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/XAException.html?is-external=true" title="class or interface in javax.transaction.xa">XAException</a></pre>
<div class="block">Convenience exception that adds constructor taking message and error code
 together.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:rrokytskyy@users.sourceforge.net">Roman Rokytskyy</a></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../serialized-form.html#org.firebirdsql.jca.FBXAException">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.javax.transaction.xa.XAException">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;javax.transaction.xa.<a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/XAException.html?is-external=true" title="class or interface in javax.transaction.xa">XAException</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/XAException.html?is-external=true#errorCode" title="class or interface in javax.transaction.xa">errorCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/XAException.html?is-external=true#XA_HEURCOM" title="class or interface in javax.transaction.xa">XA_HEURCOM</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/XAException.html?is-external=true#XA_HEURHAZ" title="class or interface in javax.transaction.xa">XA_HEURHAZ</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/XAException.html?is-external=true#XA_HEURMIX" title="class or interface in javax.transaction.xa">XA_HEURMIX</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/XAException.html?is-external=true#XA_HEURRB" title="class or interface in javax.transaction.xa">XA_HEURRB</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/XAException.html?is-external=true#XA_NOMIGRATE" title="class or interface in javax.transaction.xa">XA_NOMIGRATE</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/XAException.html?is-external=true#XA_RBBASE" title="class or interface in javax.transaction.xa">XA_RBBASE</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/XAException.html?is-external=true#XA_RBCOMMFAIL" title="class or interface in javax.transaction.xa">XA_RBCOMMFAIL</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/XAException.html?is-external=true#XA_RBDEADLOCK" title="class or interface in javax.transaction.xa">XA_RBDEADLOCK</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/XAException.html?is-external=true#XA_RBEND" title="class or interface in javax.transaction.xa">XA_RBEND</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/XAException.html?is-external=true#XA_RBINTEGRITY" title="class or interface in javax.transaction.xa">XA_RBINTEGRITY</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/XAException.html?is-external=true#XA_RBOTHER" title="class or interface in javax.transaction.xa">XA_RBOTHER</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/XAException.html?is-external=true#XA_RBPROTO" title="class or interface in javax.transaction.xa">XA_RBPROTO</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/XAException.html?is-external=true#XA_RBROLLBACK" title="class or interface in javax.transaction.xa">XA_RBROLLBACK</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/XAException.html?is-external=true#XA_RBTIMEOUT" title="class or interface in javax.transaction.xa">XA_RBTIMEOUT</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/XAException.html?is-external=true#XA_RBTRANSIENT" title="class or interface in javax.transaction.xa">XA_RBTRANSIENT</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/XAException.html?is-external=true#XA_RDONLY" title="class or interface in javax.transaction.xa">XA_RDONLY</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/XAException.html?is-external=true#XA_RETRY" title="class or interface in javax.transaction.xa">XA_RETRY</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/XAException.html?is-external=true#XAER_ASYNC" title="class or interface in javax.transaction.xa">XAER_ASYNC</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/XAException.html?is-external=true#XAER_DUPID" title="class or interface in javax.transaction.xa">XAER_DUPID</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/XAException.html?is-external=true#XAER_INVAL" title="class or interface in javax.transaction.xa">XAER_INVAL</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/XAException.html?is-external=true#XAER_NOTA" title="class or interface in javax.transaction.xa">XAER_NOTA</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/XAException.html?is-external=true#XAER_OUTSIDE" title="class or interface in javax.transaction.xa">XAER_OUTSIDE</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/XAException.html?is-external=true#XAER_PROTO" title="class or interface in javax.transaction.xa">XAER_PROTO</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/XAException.html?is-external=true#XAER_RMERR" title="class or interface in javax.transaction.xa">XAER_RMERR</a>, <a href="https://docs.oracle.com/javase/8/docs/api/javax/transaction/xa/XAException.html?is-external=true#XAER_RMFAIL" title="class or interface in javax.transaction.xa">XAER_RMFAIL</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBXAException.html#FBXAException--">FBXAException</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBXAException.html#FBXAException-int-">FBXAException</a></span>(int&nbsp;errorCode)</code>
<div class="block">Create a new instance of <code>FBXAException</code> based around
 a specific error code.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBXAException.html#FBXAException-int-java.lang.Exception-">FBXAException</a></span>(int&nbsp;errorCode,
             <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a>&nbsp;reason)</code>
<div class="block">Create a new instance of <code>FBXAException</code> wrapped around
 an underlying exception.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBXAException.html#FBXAException-java.lang.String-">FBXAException</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;msg)</code>
<div class="block">Create a new instance of <code>FBXAException</code> with a given 
 message.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBXAException.html#FBXAException-java.lang.String-int-">FBXAException</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;msg,
             int&nbsp;errorCode)</code>
<div class="block">Create a new instance of <code>FBXAException</code> based around
 a message and specific error code.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBXAException.html#FBXAException-java.lang.String-int-java.lang.Exception-">FBXAException</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;msg,
             int&nbsp;errorCode,
             <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a>&nbsp;reason)</code>
<div class="block">Create a new instance of <code>FBXAException</code> based around
 a message and with an underlying exception.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBXAException.html#getMessage--">getMessage</a></span>()</code>
<div class="block">Get message of this exception.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBXAException.html#printStackTrace--">printStackTrace</a></span>()</code>
<div class="block">Print a stack trace for this exception to <code>STDERR</code>.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBXAException.html#printStackTrace-java.io.PrintStream-">printStackTrace</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/PrintStream.html?is-external=true" title="class or interface in java.io">PrintStream</a>&nbsp;s)</code>
<div class="block">Print a stack trace for this exception with a 
 given <code>PrintStream</code>.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jca/FBXAException.html#printStackTrace-java.io.PrintWriter-">printStackTrace</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/PrintWriter.html?is-external=true" title="class or interface in java.io">PrintWriter</a>&nbsp;s)</code>
<div class="block">Print a stack trace for this exception with a 
 given <code>PrintWriter</code>.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Throwable">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true#addSuppressed-java.lang.Throwable-" title="class or interface in java.lang">addSuppressed</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true#fillInStackTrace--" title="class or interface in java.lang">fillInStackTrace</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true#getCause--" title="class or interface in java.lang">getCause</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true#getLocalizedMessage--" title="class or interface in java.lang">getLocalizedMessage</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true#getStackTrace--" title="class or interface in java.lang">getStackTrace</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true#getSuppressed--" title="class or interface in java.lang">getSuppressed</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true#initCause-java.lang.Throwable-" title="class or interface in java.lang">initCause</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true#setStackTrace-java.lang.StackTraceElement:A-" title="class or interface in java.lang">setStackTrace</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true#toString--" title="class or interface in java.lang">toString</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FBXAException--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FBXAException</h4>
<pre>public&nbsp;FBXAException()</pre>
</li>
</ul>
<a name="FBXAException-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FBXAException</h4>
<pre>public&nbsp;FBXAException(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;msg)</pre>
<div class="block">Create a new instance of <code>FBXAException</code> with a given 
 message.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>msg</code> - The string message for this exception</dd>
</dl>
</li>
</ul>
<a name="FBXAException-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FBXAException</h4>
<pre>public&nbsp;FBXAException(int&nbsp;errorCode)</pre>
<div class="block">Create a new instance of <code>FBXAException</code> based around
 a specific error code.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>errorCode</code> - The error code for this exception</dd>
</dl>
</li>
</ul>
<a name="FBXAException-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FBXAException</h4>
<pre>public&nbsp;FBXAException(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;msg,
                     int&nbsp;errorCode)</pre>
<div class="block">Create a new instance of <code>FBXAException</code> based around
 a message and specific error code.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>msg</code> - The string message for this exception</dd>
<dd><code>errorCode</code> - The error code for this exception</dd>
</dl>
</li>
</ul>
<a name="FBXAException-int-java.lang.Exception-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FBXAException</h4>
<pre>public&nbsp;FBXAException(int&nbsp;errorCode,
                     <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a>&nbsp;reason)</pre>
<div class="block">Create a new instance of <code>FBXAException</code> wrapped around
 an underlying exception.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>errorCode</code> - The error code for this exception</dd>
<dd><code>reason</code> - The underlying exception</dd>
</dl>
</li>
</ul>
<a name="FBXAException-java.lang.String-int-java.lang.Exception-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FBXAException</h4>
<pre>public&nbsp;FBXAException(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;msg,
                     int&nbsp;errorCode,
                     <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a>&nbsp;reason)</pre>
<div class="block">Create a new instance of <code>FBXAException</code> based around
 a message and with an underlying exception.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>msg</code> - The string message for this exception</dd>
<dd><code>errorCode</code> - The error code for this exception</dd>
<dd><code>reason</code> - The underlying exception</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getMessage--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMessage</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getMessage()</pre>
<div class="block">Get message of this exception.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true#getMessage--" title="class or interface in java.lang">getMessage</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>combined message of this exception and original exception.</dd>
</dl>
</li>
</ul>
<a name="printStackTrace--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printStackTrace</h4>
<pre>public&nbsp;void&nbsp;printStackTrace()</pre>
<div class="block">Print a stack trace for this exception to <code>STDERR</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true#printStackTrace--" title="class or interface in java.lang">printStackTrace</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</a></code></dd>
</dl>
</li>
</ul>
<a name="printStackTrace-java.io.PrintStream-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>printStackTrace</h4>
<pre>public&nbsp;void&nbsp;printStackTrace(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/PrintStream.html?is-external=true" title="class or interface in java.io">PrintStream</a>&nbsp;s)</pre>
<div class="block">Print a stack trace for this exception with a 
 given <code>PrintStream</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true#printStackTrace-java.io.PrintStream-" title="class or interface in java.lang">printStackTrace</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>s</code> - The <code>PrintStream</code> to which the stack trace will
        be written</dd>
</dl>
</li>
</ul>
<a name="printStackTrace-java.io.PrintWriter-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>printStackTrace</h4>
<pre>public&nbsp;void&nbsp;printStackTrace(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/PrintWriter.html?is-external=true" title="class or interface in java.io">PrintWriter</a>&nbsp;s)</pre>
<div class="block">Print a stack trace for this exception with a 
 given <code>PrintWriter</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true#printStackTrace-java.io.PrintWriter-" title="class or interface in java.lang">printStackTrace</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>s</code> - The <code>PrintWriter</code> to which the stack trace will
        be written</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jca/FBTpb.html" title="class in org.firebirdsql.jca"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jca/FirebirdLocalTransaction.html" title="interface in org.firebirdsql.jca"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jca/FBXAException.html" target="_top">Frames</a></li>
<li><a href="FBXAException.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.javax.transaction.xa.XAException">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
